Bug 1419389 - scim-tables-russian lacks the common way of typing dots and commas
Summary: scim-tables-russian lacks the common way of typing dots and commas
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: scim-tables
Version: 25
Hardware: All
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 02:40 UTC by art
Modified: 2017-04-20 17:19 UTC (History)
3 users (show)

Fixed In Version: scim-tables-0.5.14-1.fc26 scim-tables-0.5.14-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-20 12:00:59 UTC
Type: Bug


Attachments (Terms of Use)

Description art 2017-02-06 02:40:51 UTC
Description of problem:

scim-tables-russian at the moment provides RussianTraditional, Yawerty and Translit input methods (https://koji.fedoraproject.org/koji/rpminfo?rpmID=7349926). The one being the most common - RussianTraditional is lacking a feature of typing dots and commas when pressing usual for Russian input / button and / + Shift buttons. The way i'm solving it now is by changing between RussianTraditional and English input methods just for typing those dots and commas. Upstream has an additional russian input method called RussianComputer which solves that inconvenience nicely (https://github.com/scim-im/scim-tables/tree/master/tables/ru)

Version-Release number of selected component (if applicable):
scim-tables-russian-0.5.12-7.fc24

How reproducible:
Always

Steps to Reproduce:
1. install scim-tables-russian
2. select RussianTraditional input method
3. press / or / + Shift in RussianTraditional mode

Actual results:
it prints / and ? instead, which is a little inconvenient

Expected results:
with the currently uncovered RussianComputer input mode it does result in typing . and , respectively

Additional info:
FutureFeature

Comment 1 art 2017-02-20 04:52:25 UTC
I saw it's being rebuilt in rawhide for fedora 26, any chance of adding that RussianComputer input method?

Comment 2 art 2017-02-27 05:04:40 UTC
Any ideas?

Comment 3 Parag Nemade 2017-03-28 05:20:17 UTC
I am just updating the scim-tables to 0.5.14 upstream version. Hope that solves your problem. If not kindly share your feedback here only.

Please note that devel is a discussion list where many emails used to come and not every email can be read by all the subscribed members. But as you was having specific problem related to i18n/g11n you can reach i18n developers by using i18n mailing list or on #fedora-g11n IRC channel on Freenode Server. Maybe that can bring quick attention by related group.

I am sure dchen is around but should be busy with some other work. Others can help you.

Comment 4 Fedora Update System 2017-03-28 05:36:45 UTC
scim-tables-0.5.14-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-54d55f62ec

Comment 5 Fedora Update System 2017-03-28 05:42:44 UTC
scim-tables-0.5.14-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c4e661d9e9

Comment 6 Fedora Update System 2017-03-28 17:54:27 UTC
scim-tables-0.5.14-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-54d55f62ec

Comment 7 art 2017-03-29 00:50:42 UTC
Hey, thanks for the uprate and for the info. I was using this wiki page as a reference before jumping into the devel mailing list https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers
Sorry if i got it wrong

Comment 8 Fedora Update System 2017-03-29 04:23:25 UTC
scim-tables-0.5.14-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c4e661d9e9

Comment 9 Parag Nemade 2017-03-29 05:37:39 UTC
(In reply to art from comment #7)
> Hey, thanks for the uprate and for the info. I was using this wiki page as a
> reference before jumping into the devel mailing list
> https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers
> Sorry if i got it wrong

No, No, you was right. Just pointing that for receiving a quicker response good to find related groups in Fedora and communicate on their mailing lists or IRC channels. For this issue its https://fedoraproject.org/wiki/I18N

Thanks.

Comment 10 art 2017-03-29 08:23:52 UTC
got it :)
Meanwhile i did try and +1'd accordingly the scim-tables-0.5.14-1.fc25 build on bodhi page. Once again thanks a lot to you and everyone involved!

Comment 11 Fedora Update System 2017-04-20 12:00:59 UTC
scim-tables-0.5.14-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-04-20 17:19:56 UTC
scim-tables-0.5.14-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.